Page 1 of 6

MIB Mandriva 2010.3 repositories

PostPosted: 20 May 2012, 20:47
by NicCo
Updated Topic: date 2012/05/27 - time 09:45 a.m. (UTC +01:00)

MIB Mandriva 2010.3
MIB keeps supporting Mandriva Linux 2010.x serie
MIB estende il supporto su Mandriva Linux 2010.x
Image
Main Guide

Image - ITALIANO - clicca qui

Image - ENGLISH


2010.3 is a major update for 2010.2. It includes at least:

  • new Qt4
  • new KDE4
  • updated GTK stack, including basic GTK3 support
  • new Alsa and PulseAudio
  • new Mesa & DRM
  • new X.Org Server
  • new proprietary drivers
  • new kernel 3.2.x
  • updates for "major" applications like GIMP, Qt Creator etc.
  • major codecs and players update (gstreamer, mplayer, vlc, ffmpeg etc), all with PLF feautures enabled
and much more updates are coming...


In general, it should be compatible with 2010.2 repositories. And we try to make updates as easy as possible. There should be no problems with installing 2010.2 and updating it from MIB 2010.3 repository. And no problems with installing packages from 2010.2 updates & backports.

Actually, PLF is not needed for 2010.3 repositories. It's very optional. Most important codecs and players from PLF are already updated and ported to MIB 2010.3. And many programs (P2P-software and emulators) are ported to Contrib and Non-free.

There are no installation ISOs yet. But we have plans to release them one day.

2010.3 is not really a fork. We don't plan to support it forever. And we don't have infrastructure and manpower for that. Our goal is to keep 2010.2 as much up to date as possible but without sacrificing its stability.

Main path
http://mib.pianetalinux.org/MIB/2010.3/


How to add the MIB 2010.3 repositories to Mandriva 2010.2
You must already have the usual main, contrib, nonfree with /release /updates & /backports configured and enabled for mdv 2010.2

a> From faster mirror

Mandriva 2010.3 i586/i686 32bit
Code: Select all
urpmi.addmedia --update MIB-20103-basic_32 http://pianetalinux.org/m0/2010.3/32/basic
urpmi.addmedia --update MIB-20103-experts_32 http://pianetalinux.org/m0/2010.3/32/experts

Mandriva 2010.3 x86_64
Code: Select all
urpmi.addmedia --update MIB-20103-basic_64 http://pianetalinux.org/m0/2010.3/64/basic
urpmi.addmedia --update MIB-20103-experts_64 http://pianetalinux.org/m0/2010.3/64/experts

for 64bit is possible to add also 32bit repo to have greater compatibility with 32bit only apps



b> From main server

Mandriva 2010.3 i586/i686 32bit
Code: Select all
urpmi.addmedia --update MIB-20103-basic_32 http://pianetalinux.org/m2/2010.3/32/basic
urpmi.addmedia --update MIB-20103-experts_32 http://pianetalinux.org/m2/2010.3/32/experts

Mandriva 2010.3 x86_64
Code: Select all
urpmi.addmedia --update MIB-20103-basic_64 http://pianetalinux.org/m2/2010.3/64/basic
urpmi.addmedia --update MIB-20103-experts_64 http://pianetalinux.org/m2/2010.3/64/experts

for 64bit is possible to add also 32bit repo to have greater compatibility with 32bit only apps


Image - ITALIANO - Vai al Menu


MIB annuncia i repository per Mandriva 2010.3
MIB estende il supporto su Mandriva Linux 2010.x

2010.3 è un aggiornamento maggiore per 2010.2. Esso include come minimo:

  • nuove Qt4 preparate in modo avanzato
  • nuovo KDE4 4.8
  • nuovo GTK stack, che include un supporto basico a GTK3
  • nuove librerie audio Alsa e PulseAudio
  • nuove Mesa & DRM
  • nuovo server grafico X.Org
  • nuovi driver proprietari
  • nuovo kernel 3.2.x
  • nuove versioni maggiori di applicazioni quali GIMP, Qt Creator etc.
  • nuove versioni maggiori dei codecs e aggiornamento dei player (gstreamer, mplayer, vlc, ffmpeg etc), tutti con le opzioni PLF abilitate
ma questo è solo l'inizio e molti altri aggiornamenti sono è in arrivo...


In generale, esso dovrebbe essere compatibile con i repository 2010.2. Noi stiamo cercando di rendere gli aggiornamenti quanto più semplici possibile. Non dovrebbero esserci problemi nell'installare 2010.2 e aggiornarlo con i repository MIB 2010.3. Nessun problema nell'installazione di pacchetti da 2010.2 updates e backports.

Attualmente, PLF non è necessario per i repository 2010.3. È solamente opzionale. I codec più importanti ad i player da PLF sono già aggiornati e portati su MIB 2010.3. E molti programmi (P2P-software e gli emulatori) sono stati nel frattempo portati su Contrib e Non-free di Mandriva.

Non ci sono ISO di installazione di 2010.3, ma noi abbiamo un piano per rilasciarle un giorno...

2010.3 non è un reale fork. Noi non abbiamo pianificato di supportarlo per sempre. Non abbiamo un'infrastruttura e la manodopera sufficiente per ciò. Il nostro obiettivo è mantenere 2010.2 quanto più aggiornato possibile ma senza sacrificare la sua stabilità.

Il suo percorso principale:
http://mib.pianetalinux.org/MIB/2010.3/


Come aggiungere i repository MIB 2010.3 su Mandriva 2010.2
Tu devi già avere i soliti /main, /contrib, /nonfree completi dei rami /release /updates e /backports configurati per mdv 2010.2

a> Dal mirror più veloce

Mandriva 2010.3 i586/i686 32bit
Code: Select all
urpmi.addmedia --update MIB-20103-basic_32 http://pianetalinux.org/m0/2010.3/32/basic
urpmi.addmedia --update MIB-20103-experts_32 http://pianetalinux.org/m0/2010.3/32/experts

Mandriva 2010.3 x86_64
Code: Select all
urpmi.addmedia --update MIB-20103-basic_64 http://pianetalinux.org/m0/2010.3/64/basic
urpmi.addmedia --update MIB-20103-experts_64 http://pianetalinux.org/m0/2010.3/64/experts

per 64bit è possibile aggiungere anche il repo 32bit per ottenere una maggiore compatibilità con le applicazioni solo 32bit



b> Dal server principale

Mandriva 2010.3 i586/i686 32bit
Code: Select all
urpmi.addmedia --update MIB-20103-basic_32 http://pianetalinux.org/m2/2010.3/32/basic
urpmi.addmedia --update MIB-20103-experts_32 http://pianetalinux.org/m2/2010.3/32/experts

Mandriva 2010.3 x86_64
Code: Select all
urpmi.addmedia --update MIB-20103-basic_64 http://pianetalinux.org/m2/2010.3/64/basic
urpmi.addmedia --update MIB-20103-experts_64 http://pianetalinux.org/m2/2010.3/64/experts

per 64bit è possibile aggiungere anche il repo 32bit per ottenere una maggiore compatibilità con le applicazioni solo 32bit



bye, NicCo

Re: MIB Mandriva 2010.3 repositories

PostPosted: 21 May 2012, 11:24
by promeneur
it seems that last version of pulseaudio is 2.0 and not 1.1.29

Re: MIB Mandriva 2010.3 repositories

PostPosted: 21 May 2012, 12:23
by GvMariani
promeneur wrote:it seems that last version of pulseaudio is 2.0 and not 1.1.29

Yep.
But on 2010.2 "standard" we should be stuck with the 0.9.8 one...
so still a worth upgrade, IMHO.
Moreover the 2.0 went alive while we already had ready the 1.1 back-port so we did not bother to
immediately update it; but in the due time we will surely do.

GvM

Re: MIB Mandriva 2010.3 repositories

PostPosted: 21 May 2012, 19:04
by promeneur
many thanks to mib team.

after almost 10 years and 3 Asus MB, now the os detects well the inputs and ouputs of the asus sound chipset thus it disinguishes well the rear and the front micro inputs . Consequently my microphone for the fist time works well.

i assume the new versions of pulseaudio and alsa is the cause.

Re: MIB Mandriva 2010.3 repositories

PostPosted: 22 May 2012, 2:34
by Pulfer
You must already have the usual main, contrib, nonfree and plf configured for mdv 2010.2


Actually, PLF is not needed for 2010.3 repositories. It's very optional. Most important codecs and players from PLF are already updated and ported to MIB 2010.3. And many programs (P2P-software and emulators) are ported to Contrib and Non-free.

Re: MIB Mandriva 2010.3 repositories

PostPosted: 27 May 2012, 11:16
by NicCo
It's been copied official kernel for 2010.3 branch

kernel lts 3.2.18

in /experts we added kernel and drakxnet rpms



bye, NicCo

Re: MIB Mandriva 2010.3 repositories

PostPosted: 27 May 2012, 19:08
by stefano1956
Ho provato a settare i nuovi repo... è andato bene "quasi" tutto... tranne questo:
Code: Select all
Questi pacchetti devono essere rimossi per poterne aggiornare altri:
acroread-nppdf-9.3.3-2mdv2010.1.i586
 (perché non è soddisfatto acroread-plugins-ecmascript >= 9.3,
  perché non è soddisfatto acroread-plugins-searchfind >= 9.3)
acroread-plugins-ecmascript-9.3.3-2mdv2010.1.i586
 (perché manca libgtk-x11-2.0.so.0,
  perché manca libgdk-x11-2.0.so.0)
acroread-plugins-searchfind-9.3.3-2mdv2010.1.i586
 (perché manca libgtk-x11-2.0.so.0,
  perché manca libgdk-x11-2.0.so.0)
libcanberra-gtk0-0.24-2mdv2010.1.i586
 (perché manca libgtk-x11-2.0.so.0,
  perché manca libgdk-x11-2.0.so.0)
libgail18-2.20.1-1mdv2010.1.i586
 (perché manca libpango-1.0.so.0,
  perché manca libgtk-x11-2.0.so.0,
  perché manca libgdk-x11-2.0.so.0)
libglade2.0_0-2.6.4-3mdv2010.1.i586
 (perché manca libpango-1.0.so.0,
  perché manca libgtk-x11-2.0.so.0,
  perché manca libgdk-x11-2.0.so.0)
libgtk+-x11-2.0_0-2.20.1-1mdv2010.1.i586
 (perché manca libpango-1.0.so.0,
  perché manca libpangocairo-1.0.so.0,
  perché manca libpangoft2-1.0.so.0,
  perché non è soddisfatto libgtk+2.0_0 == 2.20.1)
libgtk+2.0_0-2.20.1-1mdv2010.1.i586
 (perché manca libpango-1.0.so.0,
  perché manca libgtk-x11-2.0.so.0,
  perché manca libgdk-x11-2.0.so.0)
libia_ora-gnome-1.0.24-1mdv2010.1.i586
 (perché manca libgtk-x11-2.0.so.0,
  perché manca libgdk-x11-2.0.so.0)
libopenbox21-3.4.11.2-7mdv2010.2.i586
 (perché manca libpango-1.0.so.0,
  perché manca libpangoxft-1.0.so.0)
libpango1.0_0-1.28.0-1.2mdv2010.2.i586
 (perché non è soddisfatto pango == 1.28.0)
libpango1.0_0-modules-1.28.0-1.2mdv2010.2.i586
 (perché manca libpango-1.0.so.0,
  perché manca libpangoft2-1.0.so.0)
libwebkitgtk1.0_2-1.2.7-0.1mdv2010.2.i586
 (perché manca libpango-1.0.so.0,
  perché manca libpangocairo-1.0.so.0,
  perché manca libpangoft2-1.0.so.0,
  perché manca libgtk-x11-2.0.so.0,
  perché manca libgdk-x11-2.0.so.0,
  perché manca libgailutil.so.18)
nspluginwrapper-1.4.4-0.1mdv2010.2.x86_64
 (perché non è soddisfatto nspluginwrapper-i386 == 1.4.4-0.1mdv2010.2)
nspluginwrapper-i386-1.4.4-0.1mdv2010.2.x86_64
 (perché manca libgtk-x11-2.0.so.0,
  perché manca libgdk-x11-2.0.so.0)
obconf-2.0.3-9mdv2010.2.i586
 (perché manca libgtk-x11-2.0.so.0,
  perché manca libgdk-x11-2.0.so.0,
  perché manca libglade-2.0.so.0,
  perché manca libobparser.so.21)
scratch-1.4.0.1-3mdv2010.2.x86_64
 (perché manca libpango-1.0.so.0,
  perché manca libpangocairo-1.0.so.0)
smart-gallerysetup-1.2.559.1-1.i686
 (perché manca libgtk-x11-2.0.so.0,
  perché manca libgdk-x11-2.0.so.0)
smart-notebook-10.2.559.1-1.i686
 (perché manca libgtk-x11-2.0.so.0,
  perché manca libgdk-x11-2.0.so.0,
  perché non è soddisfatto SMARTgallerysetup >= 1.2.559.1)
smart-product-drivers-10.2.335.1-1.i686
 (perché manca libgtk-x11-2.0.so.0,
  perché manca libgdk-x11-2.0.so.0)


Il problema maggiore è che mi ha installato il GIMP 2.8, ma non funziona perchè non corrisponde la versione di pango (ho dovuto anche risolvere a manina qualcosa relativo a gtk e un'altra dipendenza che ora non ricordo)
Posso fare qualcosa?

Re: MIB Mandriva 2010.3 repositories

PostPosted: 27 May 2012, 19:11
by promeneur
please supply kernel nrj pae desktop 3.2.x for mandriva 2010.2 32 bit in mib mandriva 2010.3 repo

thanks

Re: MIB Mandriva 2010.3 repositories

PostPosted: 27 May 2012, 23:12
by NicCo
promeneur wrote:please supply kernel nrj pae desktop 3.2.x for mandriva 2010.2 32 bit in mib mandriva 2010.3 repo

You're asking for what is already present, check better!
perhaps you remember a slight different name...

http://mib.pianetalinux.org/MIB/2010.3/ ... 2.i686.rpm
http://mib.pianetalinux.org/MIB/2010.3/ ... 2.i686.rpm


bye, NicCo

Re: MIB Mandriva 2010.3 repositories

PostPosted: 28 May 2012, 3:02
by Pulfer
stefano1956 wrote:Il problema maggiore è che mi ha installato il GIMP 2.8, ma non funziona perchè non corrisponde la versione di pango (ho dovuto anche risolvere a manina qualcosa relativo a gtk e un'altra dipendenza che ora non ricordo)
Posso fare qualcosa?


Do you use x86_64 Mandriva with some packages from Main32 installed? You need to add both 2010.3 32 and 64 bit repositories then (so packages from Main32 could be also updated).

Re: MIB Mandriva 2010.3 repositories

PostPosted: 28 May 2012, 10:43
by promeneur
You're asking for what is already present, check better!


you change the name

my current kernel name is kernel-nrj-pae-desktop-latest-3.1.6-nrjpae.69mib2010.2.i686.rpm

the new name is kernel-nrj-desktop686-pae-latest-3.2.18-1mib2010.2.i686.rpm

thus
mandivaupdate does not supply an update

thanks for your all excellent work

Re: MIB Mandriva 2010.3 repositories

PostPosted: 28 May 2012, 11:05
by promeneur
good news

since i use mib kernel (2.6.x, ..., 3.1.6) there is no communication with the interactive firewall

with kernel 3.2.18 i have kde notifications and i can use the gui of the interactive firewall

thanks

Re: MIB Mandriva 2010.3 repositories

PostPosted: 28 May 2012, 11:50
by codicem
Inserito nuovi repository ma ricevo il seguente msg:

Code: Select all
    Questi pacchetti devono essere rimossi per poterne aggiornare altri:
    2mandvd-1.5.3-69mib2010.2.x86_64
    (perché non è soddisfatto ffmpeg >= 0.5)
    acetoneiso-2.3-69.1mib2010.1.x86_64
    (perché manca ffmpeg)
    audiokonverter-5.9.1-69.1mib2010.2.noarch
    (perché manca ffmpeg)
    ffmpeg-0.7.8-69.1mib2010.2.x86_64
    (perché non è soddisfatto lib64swscaler0 == 0.7.8-69.1mib2010.2)
    ffmpegthumbs-4.8.3-69.1mib2010.2.x86_64
    (perché manca ffmpeg)
    kdenlive-0.8.2.1-69.1mib2010.2.x86_64
    (perché manca ffmpeg)
    kino-1.3.4-5mdv2010.1.x86_64
    (perché manca ffmpeg)
    mandvd-2.6-69.2mib2010.1.x86_64
    (perché manca ffmpeg)
    openshot-1.4.2-69.1mib2010.2.noarch
    (perché manca ffmpeg)
    winff-1.4.0-69.1mib2010.2.x86_64
    (perché manca ffmpeg)


Cosa devo fare?

Re: MIB Mandriva 2010.3 repositories

PostPosted: 28 May 2012, 13:59
by rugyada
codicem wrote:Cosa devo fare?

;)
Ciao Codicem,

Pulfer suggerisce di aggiornare con l'opzione --debug:

Code: Select all
urpmi.update -a
urpmi --auto-select --debug


e copiare l'output completo ad esempio su pastebin http://pastebin.com/ , o servizio simile.
Dopo metti qui il link, per favore.

Re: MIB Mandriva 2010.3 repositories

PostPosted: 28 May 2012, 21:24
by codicem
rugyada wrote:Ciao Codicem,

Pulfer suggerisce di aggiornare con l'opzione --debug:

qui il link dell'output:

Code: Select all
urpmi.update -a
urpmi --auto-select --debug